module ss_tb;
reg        rst;
reg        clk;
reg        fs;
wire       ss;

initial begin
  $dumpfile ("genss_tb.vcd");
  $dumpvars (1, my_genss);

  fs  = 0;
  rst = 1;

  // reset pulse

  clk = 1;
  #1 clk = 0;
  #1 clk = 1;
  rst = 0;
  #1 clk = 0;
  #1 clk = 1;

  // Assert fs and 8 clock pulses

  fs = 1;
  #1  clk = 0;  
  #1  clk = 1;
  fs = 0;
  repeat (7) begin
    #1  clk = 0;  
    #1  clk = 1;
  end

  // few more clocks for good luck

  repeat (3) begin 
    #1  clk = 0;
    #1  clk = 1;  
  end

end

genss my_genss(
.rst      (rst),
.clk      (clk),
.fs       (fs),
.ss       (ss)
);

endmodule

